# $Revision: 1.121 $, $Date: 2010/10/10 19:29:53 $
Summary:	unixODBC - a complete, free/open, ODBC solution for UNIX/Linux
Summary(pl.UTF-8):	unixODBC - kompletne, darmowe/otwarte ODBC dla UNIX/Linuksa
Name:		unixODBC
Version:	2.3.0
Release:	1
License:	LGPL v2+ (libraries), GPL v2+ (programs, News Server driver)
Group:		Libraries
Source0:	ftp://ftp.unixodbc.org/pub/unixODBC/%{name}-%{version}.tar.gz
# Source0-md5:	f2ad22cbdffe836c58987ed2332c2e99
URL:		http://www.unixodbc.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libltdl-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	readline-devel >= 4.2
BuildConflicts:	kdesupport-odbc
Requires(post):	/sbin/ldconfig
Obsoletes:	libunixODBC2
Obsoletes:	unixODBC-gnome
Obsoletes:	unixODBC-gnome-devel
Obsoletes:	unixODBC-gnome-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
unixODBC is a complete, free/open, ODBC solution for UNIX/Linux.

%description -l pl.UTF-8
unixODBC - kompletne, darmowe/otwarte ODBC dla systemów UNIX/Linux.

%package devel
Summary:	unixODBC header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe i dokunentacja do unixODBC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libltdl-devel
Obsoletes:	libunixODBC2-devel

%description devel
unixODBC header files and development documentation.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokunentacja do unixODBC.

%package static
Summary:	unixODBC static libraries
Summary(pl.UTF-8):	Biblioteki statyczne unixODBC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
unixODBC static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne unixODBC.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-drivers \
	--enable-driverc \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

find doc -name 'Makefile*' | xargs -r rm -f

# libodbccr.so.1 is lt_dlopened
rm $RPM_BUILD_ROOT%{_libdir}/libodbccr.{la,a}
# Setup drivers are lt_dlopened by given name (.so or SONAME)
rm $RPM_BUILD_ROOT%{_libdir}/lib{esoob,mimer,odbc{drvcfg{1,2},mini,my,nn,psql,txt},oplodbc,oraodbc,sapdb,tds}S.{la,a}
# Drivers are lt_dlopened by given name (.so or SONAME)
rm $RPM_BUILD_ROOT%{_libdir}/lib{nn,odbcpsql,template}.{la,a}

# (temporarily) missing in make install
install include/autotest.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
# install text driver
/usr/bin/odbcinst -i -d -r <<EOF
[TXT]
Description = Text file driver
#Driver = %{_libdir}/libodbctxt.so.1
Setup = %{_libdir}/libodbctxtS.so.1
EOF
# install postgresql driver
/usr/bin/odbcinst -i -d -r <<EOF
[PostgreSQL]
Description = PostgreSQL driver
Driver = %{_libdir}/libodbcpsql.so.2
Setup = %{_libdir}/libodbcpsqlS.so.1
EOF

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README doc/AdministratorManual doc/UserManual
%attr(755,root,root) %{_bindir}/dltest
%attr(755,root,root) %{_bindir}/isql
%attr(755,root,root) %{_bindir}/iusql
%attr(755,root,root) %{_bindir}/odbcinst
# can be useful not only for development
%attr(755,root,root) %{_bindir}/odbc_config
%attr(755,root,root) %{_libdir}/libodbc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbc.so.1
%attr(755,root,root) %{_libdir}/libodbcinst.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbcinst.so.1
# drivers
%attr(755,root,root) %{_libdir}/libesoobS.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libesoobS.so.1
%attr(755,root,root) %{_libdir}/libmimerS.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmimerS.so.1
%attr(755,root,root) %{_libdir}/libnn.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnn.so.1
%attr(755,root,root) %{_libdir}/libodbccr.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbccr.so.1
%attr(755,root,root) %{_libdir}/libodbcdrvcfg1S.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbcdrvcfg1S.so.1
%attr(755,root,root) %{_libdir}/libodbcdrvcfg2S.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbcdrvcfg2S.so.1
%attr(755,root,root) %{_libdir}/libodbcminiS.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbcminiS.so.1
%attr(755,root,root) %{_libdir}/libodbcmyS.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbcmyS.so.1
%attr(755,root,root) %{_libdir}/libodbcnnS.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbcnnS.so.1
%attr(755,root,root) %{_libdir}/libodbcpsql.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbcpsql.so.2
%attr(755,root,root) %{_libdir}/libodbcpsqlS.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbcpsqlS.so.1
#%attr(755,root,root) %{_libdir}/libodbctxt.so.*.*.*
#%attr(755,root,root) %ghost %{_libdir}/libodbctxt.so.1
%attr(755,root,root) %{_libdir}/libodbctxtS.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbctxtS.so.1
%attr(755,root,root) %{_libdir}/liboplodbcS.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liboplodbcS.so.1
%attr(755,root,root) %{_libdir}/liboraodbcS.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liboraodbcS.so.1
%attr(755,root,root) %{_libdir}/libsapdbS.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsapdbS.so.1
%attr(755,root,root) %{_libdir}/libtdsS.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtdsS.so.1
%attr(755,root,root) %{_libdir}/libtemplate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtemplate.so.1
# for *dlopening
%attr(755,root,root) %{_libdir}/libesoobS.so
%attr(755,root,root) %{_libdir}/libmimerS.so
%attr(755,root,root) %{_libdir}/libnn.so
%attr(755,root,root) %{_libdir}/libodbccr.so
%attr(755,root,root) %{_libdir}/libodbcdrvcfg1S.so
%attr(755,root,root) %{_libdir}/libodbcdrvcfg2S.so
%attr(755,root,root) %{_libdir}/libodbcminiS.so
%attr(755,root,root) %{_libdir}/libodbcmyS.so
%attr(755,root,root) %{_libdir}/libodbcnnS.so
%attr(755,root,root) %{_libdir}/libodbcpsql.so
%attr(755,root,root) %{_libdir}/libodbcpsqlS.so
#%attr(755,root,root) %{_libdir}/libodbctxt.so
%attr(755,root,root) %{_libdir}/libodbctxtS.so
%attr(755,root,root) %{_libdir}/liboplodbcS.so
%attr(755,root,root) %{_libdir}/liboraodbcS.so
%attr(755,root,root) %{_libdir}/libsapdbS.so
%attr(755,root,root) %{_libdir}/libtdsS.so
%attr(755,root,root) %{_libdir}/libtemplate.so
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/odbc.ini
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/odbcinst.ini
%dir %{_sysconfdir}/ODBCDataSources

%files devel
%defattr(644,root,root,755)
%doc ChangeLog doc/{ProgrammerManual,lst}
%attr(755,root,root) %{_libdir}/libodbc.so
%attr(755,root,root) %{_libdir}/libodbcinst.so
%{_libdir}/libodbc.la
%{_libdir}/libodbcinst.la
%{_includedir}/autotest.h
%{_includedir}/odbcinst.h
%{_includedir}/odbcinstext.h
%{_includedir}/sql.h
%{_includedir}/sqlext.h
%{_includedir}/sqltypes.h
%{_includedir}/sqlucode.h
%{_includedir}/unixodbc_conf.h
%{_includedir}/uodbc_extras.h
%{_includedir}/uodbc_stats.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libodbc.a
%{_libdir}/libodbcinst.a

%define date		%(echo `LC_ALL="C"  date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: unixODBC.spec,v $
Revision 1.121  2010/10/10 19:29:53  qboosh
- updated to 2.3.0
- removed obsolete patches
- Qt GUI parts moved to separate package (Qt4 now)

Revision 1.120  2009/10/27 17:05:24  qboosh
- updated to 2.2.14
- updated URLs
- updated libltdl-shared patch
- removed obsolete flex,gODBCConfig,types,symbols patches
- GNOME 1.x-based gODBCConfig is gone
- txt driver temporarily(?) gone
- todo: build qt4 GUI parts

Revision 1.119  2009/09/14 12:22:37  tommat
- there is no libodbcinstQ without qt

Revision 1.118  2009/02/23 22:09:03  arekm
- release 9

Revision 1.117  2008/09/13 09:35:32  dzeus
- rel. 8

Revision 1.116  2008/09/07 19:16:31  adamg
- release 7 (against libltdl-2.2.6-1)

Revision 1.115  2008/06/14 10:07:59  arekm
- rel 6

Revision 1.114  2008-05-31 11:42:53  qboosh
- ghost soname symlinks

Revision 1.113  2008-05-21 09:40:15  pluto
- rebuild with libltdl.so.7, link with system lib, release 5.

Revision 1.112  2007-11-26 18:48:44  qboosh
- updated bcond desc (to be state-neutral)

Revision 1.111  2007-11-26 16:44:37  arekm
- rel 4; disable gnome1 bcond

Revision 1.110  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.109  2007/09/05 13:48:51  baggins
- rel 3

Revision 1.108  2007/03/17 16:19:58  glen
- wrong branch

Revision 1.106  2007/03/17 15:46:21  glen
- adapter

Revision 1.105  2007/03/04 14:01:27  arekm
- rel 2; disable types patch; doesn anyone know why it's here?

Revision 1.104  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.103  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.102  2007/01/02 00:28:41  arekm
- rel 1

Revision 1.101  2006/11/28 23:42:24  arekm
- rel 0.2

Revision 1.100  2006/11/24 19:25:01  qboosh
- fixed build in presence of qt4 headers

Revision 1.99  2006/11/24 17:31:37  qboosh
- updated to 2.2.12
- updated libltdl-shared,flex,gODBCConfig,symbols patches
- removed obsolete ac_fix,libini patches

Revision 1.98  2006/08/27 20:00:04  qboosh
- updated libini patch, added symbols patch
  (fix unresolved symbols in libodbcinstQ, libodbctxt and libodbccr)
- release 7

Revision 1.97  2006/04/23 10:01:48  pluto
- release 6 (rebuild amd64 -> x86-64).

Revision 1.96  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.95  2005/12/04 23:37:16  glen
- adapterized (sorted %verify flags)

Revision 1.94  2005/09/17 10:25:18  arekm
- rebuild with readline 5.0

Revision 1.93  2005/09/09 10:43:22  qboosh
- release 4

Revision 1.92  2005/09/09 09:57:15  qboosh
- .so symlinks for *dlopened modules moved from -devel to base

Revision 1.91  2005/09/05 10:05:55  arekm
- rel 3; libxxS.so.X are needed as setup so files (+ they provide no additional deps)

Revision 1.90  2005/09/05 08:34:35  arekm
- rel 2

Revision 1.89  2005/03/27 11:35:56  qboosh
- updated to 2.2.11, updated gODBCConfig patch, added libini patch

Revision 1.88  2004/10/25 22:30:53  qboosh
- updated to 2.2.10, removed obsolete syntax patch

Revision 1.87  2004/10/24 22:49:23  paladine
- QT->Qt
- spelling fixes

Revision 1.86  2004/10/03 01:39:27  havner
- rel 3 for fixed types patch

Revision 1.85  2004/10/02 23:50:07  havner
- types patch
- rel 2

Revision 1.84  2004/07/07 21:37:40  qboosh
- updated to 2.2.9 release, updated libltdl-shared,gODBCConfig patches
- added syntax patch for new bug

Revision 1.83  2004/02/28 00:47:54  qboosh
- updated to 2.2.8 release

Revision 1.82  2004/02/15 13:00:59  qboosh
- it's snapshot, not release - read comment in spec

Revision 1.81  2004/02/15 11:49:18  jareq
- upgraded to 2.2.8
- s/libodbpsql/libodbcpsql in /etc/odbcinst.ini
- rel 1
- STBR

Revision 1.80  2004/01/25 22:49:11  undefine
- release 2 to rebuild with new db4.2 and libart_lgpl

Revision 1.79  2003/12/18 00:35:53  qboosh
- updated to 2.2.7 final release
- gnome1 on by default for now (we have gnome-libs and there is still
  no GNOME2 port of gODBCConfig)

Revision 1.78  2003/12/05 00:36:19  adgor
- Switched to vfolders
- Added desktop file for odbctest
- Release 3

Revision 1.77  2003/12/02 10:12:13  trojan
- new bconds

Revision 1.76  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.75  2003/08/13 22:52:23  ankry
- description fixes / unification

Revision 1.74  2003/08/09 10:09:16  qboosh
- final 2.2.6
- removed obsolete trailing_backslash patch, updated gODBCConfig patch
- added warning about snapshots (early 2.2.7 snapshot is already available)
- release 2

Revision 1.73  2003/07/11 23:04:54  qboosh
- added gODBCConfig patch (not to require installed unixODBC-devel)
- added GUIs (both GNOME1 and QT)
- always use SONAME to dlopen drivers, removed *.{a,la,so} for plugins

Revision 1.72  2003/07/10 09:51:00  qboosh
- added flex patch (needed to use new flex)

Revision 1.71  2003/07/10 09:18:29  qboosh
- up to 20030624 snap, updated libltdl-shared patch

Revision 1.70  2003/06/04 15:06:17  qboosh
- merged lost changes:
  Revision 1.69  2003/05/23 14:55:05  qboosh
  - added URL

  Revision 1.68  2003/05/23 14:36:43  mkochano
  - Added trailing_backslash patch.

Revision 1.69  2003/06/03 20:01:27  qboosh
- marked in release that it's snapshot version
- added md5 for version which was in cvs.pld.org.pl
  (it's different than on ftp.easysoft.com now... to be updated in cvs)

Revision 1.68  2003/05/25 06:27:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.67  2003/03/25 12:57:31  trojan
- updated to 2.2.6

Revision 1.66  2003/02/28 10:08:58  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.65  2003/02/26 22:22:59  areq
- updated to 2.2.5

Revision 1.64  2003/01/24 22:46:06  qboosh
- 2.2.4, updated ac_fix patch, removed obsolete DESTDIR patch

Revision 1.63  2002/12/30 08:52:09  qboosh
- cleanup

Revision 1.62  2002/12/24 17:16:19  qboosh
- added more fixes to ac_fix patch
- use fixed libtool instead of hacking *.la

Revision 1.61  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.60  2002/11/18 14:33:21  qboosh
- user and admin manual back to base, programmer left in -devel
- release 5

Revision 1.59  2002/11/18 07:04:51  kloczek
- fixes in %files.

Revision 1.58  2002/11/18 05:59:25  kloczek
- comment also pixmaps.

Revision 1.57  2002/11/17 23:49:23  kloczek
- release 4: commnet install bogus desktop file.

Revision 1.56  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.55  2002/07/03 09:24:06  wolf
- spelling

Revision 1.54  2002/06/26 20:22:18  kloczek
- use new %doc.

Revision 1.53  2002/05/21 23:14:52  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.52  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.51  2002/02/23 04:55:17  kloczek
- adapterized.

Revision 1.50  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.49  2002/01/19 22:16:24  qboosh
- BuildRequires: libltdl-devel

Revision 1.48  2002/01/19 17:15:25  qboosh
- libltdl-shared patch: link libodbc with shared libltdl instead of included
  "convenience" copy - that's why php-odbc caused httpd crashes in some cases
- release 3

Revision 1.47  2002/01/18 22:48:31  filon
- chnaged driver name in post section (was 2 times TXT)
- release 2

Revision 1.46  2002/01/18 02:15:15  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2002/01/18 01:45:07  kloczek
- updated to 2.1.1,
- libunixODBC2{,-devel} added to Obsoletes for allow upgrade from MDK,
- removed obsoleted am_fix and added no_libnsl patch (with correct checking is
  gethostbyname() in libnsl),
- typos in files and devel Summary.

Revision 1.44  2002/01/17 22:35:33  filon
- updated to 2.1.0
- updated patches
- added registering drivers in %post section
- part of am_fix is obsolette, builds without it. Misiek, what's doing this patch?

Revision 1.43  2001/10/15 17:28:23  kloczek
- release 3.

Revision 1.42  2001/10/15 14:47:38  misiek
- am fixed

Revision 1.41  2001/09/26 13:31:55  qboosh
- fixed devel -l pl description

Revision 1.40  2001/08/12 19:28:53  qboosh
- added ac 2.5x fixes to ac_fix patch
- avoid relinking in 2 dirs (required already installed unixODBC-devel)
- release 2

Revision 1.39  2001/06/28 11:17:19  kloczek
- updated to 2.0.8.

Revision 1.38  2001/05/19 07:23:17  kloczek
- updated to 2.0.7,
- removed obsoleted patches and added ac_fix patch,
- removed regenerate libtool files (in this version isn't neccessary).

Revision 1.37  2001/05/18 03:24:13  kloczek
- release 4: fixed libtool problems (added no_private_copy_libtool.m4
  patch).

Revision 1.36  2001/05/07 17:15:11  misiek
- fixed(?) compilation on sparc; not tested due to broken pdksh(tm)

Revision 1.35  2001/05/07 15:22:22  kloczek
- do not install pixmaps and desktop files - qt GUI is now disabled.

Revision 1.34  2001/05/07 13:51:09  kloczek
- release 3: merge segfault rawhide patch.

Revision 1.33  2001/05/07 13:05:43  baggins
- libtoolize copy, force

Revision 1.32  2001/04/28 05:56:28  kloczek
- updated to 2.0.6.

Revision 1.31  2001/04/13 01:49:24  kloczek
- release 2: rebuild againsr readline 4.2.

Revision 1.30  2001/04/03 15:58:47  kloczek
- typo.

Revision 1.29  2001/04/03 15:41:07  kloczek
- added package icon for package and desktop files.

Revision 1.28  2001/04/03 15:36:06  kloczek
- updated to 2.0.5.

Revision 1.27  2001/03/13 21:23:58  baggins
- removed _prefix definition

Revision 1.26  2001/02/13 14:22:02  kloczek
- release 2.

Revision 1.25  2001/02/13 02:25:57  qboosh
- BuildRequires: readline-devel

Revision 1.24  2001/02/07 14:23:47  kloczek
- updated to 2.0.4.

Revision 1.23  2001/01/17 11:43:27  kloczek
- added am1.4b-fixes patch for building in automake 1.4b environment.

Revision 1.22  2001/01/15 00:12:16  kloczek
- updated to 2.0.3.

Revision 1.21  2001/01/07 16:53:41  kloczek
- updated to 2.0.1.

Revision 1.20  2001/01/04 20:43:27  kloczek
- updated to 2.0.0.

Revision 1.19  2000/12/07 11:20:14  agaran
- $log fixed
